<?php

if (!$_GET['DODAJ_REKORDY_MIESZKAN']) {
	die('404');
}

die('wylaczone na rzecz funkcji superedit-DODAJ....php');

echo '<br /><br />';
echo '<h3>' . "DODAWANIE ZASOBOW MIESZKANIOWYCH DO BAZY MARKETINGOWEJ USERS2_MARKETING " . '</h3>';
echo '<form action="" method="GET">';
echo '<input type="hidden" name="ADD" value="ADD" />';
echo '<input type="hidden" name="DODAJ_REKORDY_MIESZKAN" value="1" />';
echo "<b>1.</b> SKROT ULICY z Nr Budynku (np CI5 dla CIESZYNSKIEGO5):";
echo '<input type="text" name="ULICA" size="20" value="' . $_GET['ULICA'] . '" />';
echo '<input type="submit" name="ADD" value="ADD" />';

$numrows = 0;
if (!empty($_GET['ULICA'])) {
	global $result;
	// sprawdz czy budynek istnieje
	$budynek_exists = false;
	$query = " select `ID`, `S_ADDRESS_STREET` from `BUILDINGS` where `S_ADDRESS_STREET`='" . $_GET['ULICA'] . "' ";
	ZAP_SQL( $query );
	while ($row = mysql_fetch_object($result)) {
		$budynek_exists = true;
	}
	if (!$budynek_exists) {
		echo '<p style="color:red">' . "Budynek nie istnieje! wpisz poprawna wartosc w polu SKROT ULICY." . '</p>';
		return;
	}
	else {
		$mieszkania = array();
		$sql = "select `S_ADDRESS_STREET`,`T_TELBOX_BUILDING_IN` from `USERS2_MARKETING` where `T_TELBOX_BUILDING_IN`='" . $_GET['ULICA'] . "' ";
		ZAP_SQL( $sql );
		while ($row = mysql_fetch_object($result)) {
			$row->S_ADDRESS_STREET = strtoupper($row->S_ADDRESS_STREET);
			$row->T_TELBOX_BUILDING_IN = strtoupper($row->T_TELBOX_BUILDING_IN);
			$row->nr_mieszkania = str_replace($row->T_TELBOX_BUILDING_IN, '', $row->S_ADDRESS_STREET);
			$row->nr_mieszkania = trim($row->nr_mieszkania, ' /');
			$mieszkania []= $row;
		}
		if (!empty($mieszkania)) {
			echo '<p style="color:green">' . "Budynek istnieje." . '</p>';// Mozna dodac mieszkania.
			function sort_mieszkania_callback($a, $b) {
				return ($a->nr_mieszkania > $b->nr_mieszkania)? 1 : (($a->nr_mieszkania < $b->nr_mieszkania)? -1 : 0);
			}
			uasort( $mieszkania, 'sort_mieszkania_callback' );
			$mieszkania_out = array();
			foreach ($mieszkania as $v_mieszk) {
				$mieszkania_out []= $v_mieszk->S_ADDRESS_STREET;
			}
			echo '<p>' . '<span style="color:red">' . "<b>Uwaga:</b> Istnieją już mieszkania dla tego budynku (" . count($mieszkania) . ")" . '</span>';
				echo " - numeracja od " . reset($mieszkania)->nr_mieszkania . " do " . end($mieszkania)->nr_mieszkania;
				$js = "if(this.nextSibling.style.display=='none'){this.nextSibling.style.display='inline'}else{this.nextSibling.style.display='none'}; return false;";
				echo " "  . '<a href="#" onclick="' . $js . '">' . "szczegóły" . '</a><span style="display:none">' . ": " . implode(', ', $mieszkania_out) . '</span>';
			echo '</p>';
		}

		echo "<b>2.</b> Pierwszy Numer Mieszkania (np 1) ";
		echo '<input type="text" name="MIESZK_BEGIN" size="1" value="' . $_GET['MIESZK_BEGIN'] . '" />';
		echo " Ostatni Numer Mieszkania (np 99) ";
		echo '<input type="text" name="MIESZK_END" size="3" value="' . $_GET['MIESZK_END'] . '" />';
		echo '<input type="submit" name="ADD" value="ADD" />';

		if ($_GET['MIESZK_BEGIN'] < $_GET['MIESZK_END']) {
			echo "<br>\n Przygotowuje wpis do dodania do tabeli USERS2_MARKETING::: (limit 1000 mieszkan/wpisow) <br>";
			$limit = 1000;
			$numrows = 0;
			$current = $_GET['MIESZK_BEGIN'];
			while ($current < $limit) {
				echo "test !!! insert ignore into USERS2_MARKETING(S_ADDRESS_STREET,T_TELBOX_BUILDING_IN) values ('" . $_GET['ULICA'] . "/" . $current . "', '" . $_GET['ULICA'] . "') <br>\n";

				if ($_GET['ADD_VERIFY'] == 'ADD_VERIFY') {
					$_SESSION['MYSQL_NUM_ROWS'] = "";
					ZAP_SQL("insert ignore into USERS2_MARKETING(`S_ADDRESS_STREET`,`A_RECORD_CREATE_AUTHOR`,`A_RECORD_CREATE_DATE`,`T_TELBOX_BUILDING_IN`) values ('" . $_GET['ULICA'] . "/" . $current . "', '" . $_SESSION['AUTHORIZE_USER'] . "', current_date(), '" . $_GET['ULICA'] . "' )");
					$numrows = $numrows + $result;
				}
				$current++;
				if ($current > $_GET['MIESZK_END']) $current = $limit;
			}
			echo '<input type="submit" name="ADD_VERIFY" value="ADD_VERIFY" />';
		}
	}
}
echo '</form>';

if ($numrows > 0) {
	echo '<br>' . "\n DODANO $numrows REKORDOW ";
}

